#!/bin/sh

##############################################################################
#                                                                            #
#    Installationsprogramm 1.00.00 fr TkAvGate Version 1.00.00 Deutsch      #
#    Copyright (C) 2001-2003 Sebastian Geiges                                #
#                                                                            #
#    This program is free software; you can redistribute it and/or modify    #
#    it under the terms of the GNU General Public License as published by    #
#    the Free Software Foundation; either version 2 of the License, or       #
#    (at your option) any later version.                                     #
#                                                                            #
#    This program is distributed in the hope that it will be useful,         #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of          #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           #
#    GNU General Public License for more details.                            #
#                                                                            #
#    You should have received a copy of the GNU General Public License       #
#    along with this program; see the file COPYING.  If not, write to        #
#    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,        #
#    Boston, MA 02111-1307, USA.                                             #
#                                                                            #
##############################################################################

until [ $auswahl = QUIT ]
do
  dialog  --backtitle "TkAvGate 1.00 Installationsprogramm \
         (C) 2002-2003 by Sebastian Geiges" \
	  --menu 'Bitte whlen Sie die Option:' 12 45 4 \
	'INSTALL' 'TkAvGate 1.00 installieren' 'README' 'Readme-Datei anzeigen' \
	'LICENSE' 'Lizenzbedingungen anzeigen' 'QUIT' 'Programm verlassen' \
	2> $$.tmp
  auswahl=$(cat $$.tmp)
  setterm -clear
  case $auswahl in
    "INSTALL") 
         tverz="/usr/X11R6/lib/TkAvGate"
         qverz="$(pwd)"
         dialog  --backtitle "TkAvGate 1.00 Installationsprogramm \
         (C) 2002-2003 by Sebastian Geiges" \
	      --clear --title 'Quellpfad' \
         --inputbox 'Bitte Quellpfad eingeben:' \
         10 35 "$qverz" 2> $$.tmp
         ret=$?
	 qverz=$(cat $$.tmp)
         if [ $ret = 0 ]
         then
         if ! test -e $qverz
         then
           dialog --clear --title 'FEHLER' \
           --msgbox 'Pfad exitiert nicht, bitte korrigieren.' 8 27
         else
	       zverz="/usr/X11R6/lib/TkAvGate"
               dialog  --backtitle "TkAvGate 1.00 Installationsprogramm \
         (C) 2002-2003 by Sebastian Geiges" \
		--clear --title 'Zielverzeichnis' \
		--inputbox 'Bitte Ziel eingeben:\nz.B. /usr/X11R6/lib/TkAvGate' \
		10 35 "$zverz" 2> $$.tmp
                retb=$?
		zverz=$(cat $$.tmp)
                if [ $retb = 0 ]
                then
		if ! test -e $zverz
		then
		mkdir $zverz
		cp $qverz/tkavgate $zverz/tkavgate
		cp $qverz/tkavgate.tcl $zverz/tkavgate.tcl
		sed "s#$tverz#$zverz#g" $qverz/tkavgate.tcl > $zverz/tkavgate.tcl
		cp $qverz/README $zverz/README
		cp $qverz/COPYING $zverz/COPYING
		cp $qverz/BWidget-1.4.0.tar.gz $zverz/BWidget-1.4.0.tar.gz
		cd $zverz
		tar xfvz $zverz/BWidget-1.4.0.tar.gz
		chmod 755 $zverz/tkavgate
		chmod 755 $zverz/tkavgate.tcl
		ln -s $zverz/tkavgate.tcl /usr/X11R6/bin/tkavgate.tcl
		ln -s $zverz/tkavgate /usr/X11R6/bin/tkavgate
		dialog  --backtitle "TkAvGate 1.00 Installationsprogramm \
         (C) 2002-2003 by Sebastian Geiges" \
		--clear --title 'Installation' --msgbox "Die Installation ist jetzt fertig. Sie\nknnen \
TkAvGate jetzt unter X11 mit dem\nBefehl 'tkavgate' starten." 7 45
	        else
		cp -u $qverz/tkavgate $zverz/tkavgate
		cp -u $qverz/tkavgate.tcl $zverz/tkavgate.tcl
		cp -u $qverz/README $zverz/README
		cp -u $qverz/COPYING $zverz/COPYING
		cp -u $qverz/BWidget-1.4.0.tar.gz $zverz/BWidget-1.4.0.tar.gz
		cd $zverz
		tar xfvz $zverz/BWidget-1.4.0.tar.gz
		chmod 755 $zverz/tkavgate
		chmod 755 $zverz/tkavgate.tcl
		ln -s $zverz/tkavgate.tcl /usr/X11R6/bin/tkavgate.tcl
		ln -s $zverz/tkavgate /usr/X11R6/bin/tkavgate
		sed -e "s:/usr/X11R6/lib/TkAntivir:$zverz" $zverz/tkavgate.tcl
		dialog  --backtitle "TkAvGate 1.00 Installationsprogramm \
         (C) 2002-2003 by Sebastian Geiges" \
		--clear --title 'Installation' --msgbox "Die Installation ist jetzt fertig. Sie\nknnen \
TkAvGate jetzt unter X11 mit dem\nBefehl 'tkavgate' starten." 7 45
#		dialog --backtitle "TkAvGate 1.00 Installationsprogramm  \
#             (C) 2002-2003 by Sebastian Geiges" \
#		--clear --title 'Installation' --msgbox "TkAvGate 1.00 ist bereits vorhanden. Kopie-\n\
#ren Sie die neuen Dateien manuell." 6 45
		fi
                fi
         fi
	 fi;;
    "README") dialog  --backtitle "TkAvGate 1.00 Installationsprogramm \
         (C) 2002-2003 by Sebastian Geiges" \
	     --clear --textbox README 23 78;;
    "LICENSE") dialog  --backtitle "TkAvGate 1.00 Installationsprogramm \
         (C) 2002-2003 by Sebastian Geiges" \
	     --clear --textbox COPYING 23 78;;
    "QUIT");;
  esac
rm $$.tmp
done
